unit CheckParam;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Spin;

type
  TCheckParamForm = class(TForm)
    CheckGroupBox: TGroupBox;
    SaleRadioButton: TRadioButton;
    ReturnRadioButton: TRadioButton;
    CreditCheckBox: TCheckBox;
    OkButton: TButton;
    CancelButton: TButton;
    Label2: TLabel;
    DiscountEdit: TSpinEdit;
    Label3: TLabel;
    procedure CreditCheckBoxClick(Sender: TObject);
    procedure SaleRadioButtonClick(Sender: TObject);
    procedure CashEditKeyPress(Sender: TObject; var Key: Char);
    procedure FormActivate(Sender: TObject);
    procedure OkButtonClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  CheckParamForm: TCheckParamForm;

implementation
uses
  Main;

{$R *.DFM}

//------------------------------------------------------------------------------
//
//------------------------------------------------------------------------------
procedure TCheckParamForm.CreditCheckBoxClick(Sender: TObject);
begin
  if ReturnRadioButton.Checked then CreditCheckBox.Checked:=False;
end;

//------------------------------------------------------------------------------
//
//------------------------------------------------------------------------------
procedure TCheckParamForm.SaleRadioButtonClick(Sender: TObject);
begin
  if not SaleRadioButton.Checked then
    begin
      CreditCheckBox.Checked:=False;
      cbSetReturnMode(1);
    end;
  DiscountEdit.Enabled := SaleRadioButton.Checked;
end;

//------------------------------------------------------------------------------
//
//------------------------------------------------------------------------------
procedure TCheckParamForm.CashEditKeyPress(Sender: TObject; var Key: Char);
begin
  if (Key>='0') and (Key<='9') then Exit;
  if Key=DecimalSeparator then Exit;
  if Key=#8 then Exit;
  Key:=#7;
end;

//------------------------------------------------------------------------------
//
//------------------------------------------------------------------------------
procedure TCheckParamForm.FormActivate(Sender: TObject);
begin
  SaleRadioButton.Checked:=cbGetReturnMode = 0;
  CreditCheckBox.Checked:=cbGetCreditMode = 1;
  if GetDiscountMode = 1 then
    begin
      DiscountEdit.Value:=cbGetDiscountValue;
      DiscountEdit.Enabled:=True;
    end
  else
    begin
      DiscountEdit.Value:=0;
      DiscountEdit.Enabled:=False;
    end;
end;

//------------------------------------------------------------------------------
//
//------------------------------------------------------------------------------
procedure TCheckParamForm.OkButtonClick(Sender: TObject);
var
  Param: Integer;
begin
  //     
  if SaleRadioButton.Checked then Param:=0 else Param:=1;
  cbSetReturnMode(Param);
  if CreditCheckBox.Checked then Param:=1 else Param:=0;
  cbSetCreditMode(Param);
  if cbSetDiscountValue(DiscountEdit.Value) <> 1 then
    begin
      ShowMessage(GetErrorMsg);
      Exit;
    end;
  Close;
end;

//------------------------------------------------------------------------------
//
//------------------------------------------------------------------------------
end.
